ASP 11.2 mono, как корректно удалить

Автор: Vitafresh Дата: 24.05.2009 18:51 Как можно корректно удалить mono 1.1.16, которая установлена в системе по-умолчанию, и установить вместо него новую версию mono 2.4?

Если собирать из исходников [ftp.novell.com] без удаления, то при вводе
mono --version

все равно показывает старую версию, а не новую.
Re: ASP 11.2 mono, как корректно удалить 24.05.2009 19:38BigAndy Vitafresh Пишет:
-------------------------------------------------------
> все равно показывает старую версию, а не новую.
yum remove.
А как собирали? Как устанавливали? Что? все библиотеки от 11.2 подошли под новый mono?
И вы уверены что версия 2.4, а не 2.04??
Re: ASP 11.2 mono, как корректно удалить 24.05.2009 22:27lkanter rpm -e `rpm -qa | grep mono`
Re: ASP 11.2 mono, как корректно удалить 25.05.2009 18:29Vitafresh Леонид, спасибо.
Только при вызове говорится о неудовлетворительных зависимостях, вроде:
mono(System.Data) = 1.0.5000.0 нужен для (установлен)beagle-0.2.7-0.112.2asp.i386 и др.
сделал:
rpm -e `rpm -qa | grep mono` --nodeps
вроде все бы все получилось, но не знаю насколько корректен такой способ.


BigAndy, версия mono действительно 2.4, в этом легко убедится по ссылке, которую я привел: [ftp.novell.com]
Re: ASP 11.2 mono, как корректно удалить 25.05.2009 18:51lkanter Так надо было beagle и всякие tomboy тоже сносить. не уверен что они будут работать с новым mono
RSS-материал